Package ru.bitel.bgbilling.kernel.contract.api.common.service

# Interface ContractStatusService

public interface ContractStatusService

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SALDOSHOWMODE_BALANCE`
  `static final int`
  `SALDOSHOWMODE_SALDO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MapHolder<String,String>`
  `changeContractStatus(int[] contractId, int objectId, int statusId, Date dateFrom, Date dateTo, String comment, boolean confirmChecked)`
  Смена статуса у договора
  `List<ContractStatus>`
  `contractObjectStatusList(int contractId, int objectId, Date date)`
  `ContractStatus`
  `contractObjectStatusOnDate(int contractId, int objectId, Date date)`
  `SearchResult<MonitorStatusResult>`
  `contractSearch(int mode, int statusPeriod, String statusPeriodUnit, Set<Integer> group, Set<Integer> notGroup, String status, String saldoFrom, String saldoTo, String sort, boolean subContract, Page page, int saldoAccountMonths, BigDecimal saldoAcconuntsMore, Set<Integer> serviceAccountMaxServices, float serviceMaxVal, boolean balanceLimit, boolean balancePrevLimit, int saldoShowMode)`
  поиск договоров для монитора статуса.
  `MapHolder<String,String>`
  `contractStatusChange(int contractId, ContractStatus contractStatus, boolean customer, boolean confirmChecked)`
  `ContractStatusChangeParameters`
  `contractStatusChangeParametersGet(int contractId)`
  `List<ContractStatus>`
  `contractStatusList(int contractId, Date date)`
  `SearchResult<ContractStatusLog>`
  `contractStatusLogSearch(int contractId, int objectId, Page page)`
  `ContractStatus`
  `contractStatusOnDate(int contractId, Date date)`
  `SearchResult<ContractStatus>`
  `contractStatusSearch(int contractId, int objectId, Page page)`
  `void`
  `createBalanceDump()`
  создание среза балансов
  `List<Status>`
  `getStatusList(boolean onlyManual)`
  Возвращает список статусов из конфига сервера
  `void`
  `statusFutureTaskCancel(int contractId, int id)`
  `List<BGFutureTask>`
  `statusFutureTasks(BGEntityType entityType, int entityId, BGFutureTaskStatus taskStatus)`
  `List<Status>`
  `statusList()`

- ## Field Details

  - ### SALDOSHOWMODE_SALDO

    static final int SALDOSHOWMODE_SALDO
    See Also:
      - Constant Field Values

  - ### SALDOSHOWMODE_BALANCE

    static final int SALDOSHOWMODE_BALANCE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### statusList

    List<Status> statusList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getStatusList

    List<Status> getStatusList(boolean onlyManual) throws ru.bitel.bgbilling.common.BGException
    Возвращает список статусов из конфига сервера
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### statusFutureTasks

    List<BGFutureTask> statusFutureTasks(BGEntityType entityType, int entityId, BGFutureTaskStatus taskStatus) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### statusFutureTaskCancel

    void statusFutureTaskCancel(int contractId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectStatusList

    List<ContractStatus> contractObjectStatusList(int contractId, int objectId, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectStatusOnDate

    ContractStatus contractObjectStatusOnDate(int contractId, int objectId, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractStatusList

    List<ContractStatus> contractStatusList(int contractId, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractStatusOnDate

    ContractStatus contractStatusOnDate(int contractId, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractStatusChangeParametersGet

    ContractStatusChangeParameters contractStatusChangeParametersGet(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractStatusChange

    MapHolder<String,String> contractStatusChange(int contractId, ContractStatus contractStatus, boolean customer, boolean confirmChecked) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### createBalanceDump

    void createBalanceDump() throws ru.bitel.bgbilling.common.BGException
    создание среза балансов
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractSearch

    SearchResult<MonitorStatusResult> contractSearch(int mode, int statusPeriod, String statusPeriodUnit, Set<Integer> group, Set<Integer> notGroup, String status, String saldoFrom, String saldoTo, String sort, boolean subContract, Page page, int saldoAccountMonths, BigDecimal saldoAcconuntsMore, Set<Integer> serviceAccountMaxServices, float serviceMaxVal, boolean balanceLimit, boolean balancePrevLimit, int saldoShowMode) throws ru.bitel.bgbilling.common.BGException
    поиск договоров для монитора статуса.
    Parameters:
      `mode` - -1 все, 0 кредит, 1 дебет
      `statusPeriod` - "находится в статусе"
      `statusPeriodUnit` - "day" - "дней и более", "month" - "месяцев и более"
      `status` - ид статусов через запятую
      `saldoFrom` - сальдо/исхост от
      `saldoTo` - сальдо/исхост до
      `sort` - "saldo" / "contract.status_date" / "contract.title" / "contract.comment"
      `subContract` - "включать субдоговора с независимым балансом"
      `saldoAccountMonths` - "сальдо больше на " (месяцев)
      `saldoAcconuntsMore` - "сальдо больше на " (сумма)
      `serviceAccountMaxServices` - "Наработка по услугам за прошлый и текущий месяцы" ид услуг
      `serviceMaxVal` - "Наработка по услугам за прошлый и текущий месяцы" invalid input: '<'=
      `balanceLimit` - "баланс invalid input: '<' лимита"
      `balancePrevLimit` - "баланс на начало месяца invalid input: '<' лимита"
      `saldoShowMode` - режим сальдо: сальдо/исх.ост (-1 изпараметра / дефолт) возвращает SearchResult, доп. атрибут внутри "saldoShowMode".
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### changeContractStatus

    MapHolder<String,String> changeContractStatus(int[] contractId, int objectId, int statusId, Date dateFrom, Date dateTo, String comment, boolean confirmChecked) throws ru.bitel.bgbilling.common.BGException
    Смена статуса у договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractStatusLogSearch

    SearchResult<ContractStatusLog> contractStatusLogSearch(int contractId, int objectId, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractStatusSearch

    SearchResult<ContractStatus> contractStatusSearch(int contractId, int objectId, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`